Name:           nbtk
Version:        1.2.3
Release:        5%{?dist}
Summary:        A toolkit for moblin NetBooks

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://moblin.org/projects/netbook-toolkit-nbtk
Source0:        http://download.moblin.org/sources/%{name}/1.2/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.2.3-gtk.patch
Patch1:         %{name}-1.2.3-types.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-devel >= 1.0.0
BuildRequires: clutter-imcontext-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk2-devel
BuildRequires: libccss-devel
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: gtk-doc

Obsoletes: mux < 0.4
Provides: mux = 0.4

%description
The Netbook Toolkit is a GUI toolkit, using Clutter and is optimised 
for the Moblin netbook experience. It consists of various classes 
useful for building UIs such as Buttons, Tooltips, Scrollbars and 
others. It also supports styling through CSS stylesheets.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .gtk
%patch1 -p1 -b .types

%build
%configure --enable-gtk-doc --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}-1.2

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-1.2.lang
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_bindir}/nbtk-create-image-cache
%{_libdir}/libnbtk-*.so.*
%{_libdir}/girepository-1.0/Nbtk*.typelib
%{_datadir}/nbtk

%files devel
%defattr(-,root,root,-)
%{_includedir}/nbtk-1.2
%{_libdir}/pkgconfig/nbtk*.pc
%{_libdir}/libnbtk*.so
%{_datadir}/gir-1.0/Nbtk*.gir
%doc %{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Jul 12 2010 Dan Horák <dan[at]danny.cz> 1.2.3-5
- fix implicit types warnings, caused crash on s390(x), patch from Debian

* Mon Jul 12 2010 Dan Horák <dan[at]danny.cz> 1.2.3-4
- drop BR: gir-repository-devel
- fix FTBFS #599883 (patch from Debian, further updated)

* Sun Jan 10 2010 Peter Robinson <pbrobinson@gmail.com> 1.2.3-3
- Fix source URL, Bump release

* Tue Dec  1 2009 Peter Robinson <pbrobinson@gmail.com> 1.2.3-2
- Bump release

* Tue Dec  1 2009 Peter Robinson <pbrobinson@gmail.com> 1.2.3-1
- New upstream 1.2.3 stable release, move to a proper tarball

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 1.2.1-1
- New upstream 1.2.1 stable release

* Tue Nov  3 2009 Peter Robinson <pbrobinson@gmail.com> 1.2.0-1
- New upstream 1.2.0 stable release

* Sun Nov  1 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.12-1
- New upstream 1.1.12 release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.9-1
- New upstream 1.1.9 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.7-1
- New upstream 1.1.7 release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.4-5
- And once more with feeling.

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.4-4
- And other fix

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.4-3
- Fix translation naming

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.4-2
- A few minor fixes

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.4-1
- New upstream 1.1.4 release

* Mon Sep 12 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.2-2
- Add new source file

* Mon Sep 12 2009 Peter Robinson <pbrobinson@gmail.com> 1.1.2-1
- New upstream 1.1.2 release

* Mon Sep  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-0.2
- Add gettext and intltool for translations

* Mon Sep  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.0.0-0.1
- A 1.0.0 pre release snapshot

* Thu Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-11
- Rebuild against new ccss, update BuildReq to new ccss name

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-10
- And once more with feeling

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-9
- A few minor spec file cleanups

* Sat Aug  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-8
- Rebuild

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-7
- Add another patch for clutter 1.0

* Thu Jul 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-6
- Add patch for clutter 1.0

* Mon Jul 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-5
- Add new files

* Mon Jul 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-4
- Spec file updates

* Sun Jul 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-3
- Add the new source file

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.16.3-1
- New upstream 0.16.3 release

* Thu Jul  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.14.5-3
- More updates

* Thu Jul  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.14.5-2
- Spec file updates

* Thu Jul  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.14.5-1
- New upstream release 0.14.5

* Sun Jun 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.11.1-2
- Actually update the rpm changelog

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.11.1-1
- Update to new upstream release

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.9.3-1
- Initial packaging
